Wrap-up types
Create wrap-up type
POST
/
wrapup-types
Create wrap-up type
curl --request POST \
--url https://api.connectadesk.com/api/v1/wrapup-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Resolvido",
"queues": [
7
],
"categoryId": 1
}
'import requests
url = "https://api.connectadesk.com/api/v1/wrapup-types"
payload = {
"name": "Resolvido",
"queues": [7],
"categoryId": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Resolvido', queues: [7], categoryId: 1})
};
fetch('https://api.connectadesk.com/api/v1/wrapup-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/wrapup-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Resolvido',
'queues' => [
7
],
'categoryId' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/wrapup-types"
payload := strings.NewReader("{\n \"name\": \"Resolvido\",\n \"queues\": [\n 7\n ],\n \"categoryId\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/wrapup-types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Resolvido\",\n \"queues\": [\n 7\n ],\n \"categoryId\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/wrapup-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Resolvido\",\n \"queues\": [\n 7\n ],\n \"categoryId\": 1\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 21,
"name": "Venda concluída",
"active": true,
"categoryId": 4,
"queues": [
{
"id": 13,
"name": "Comercial"
}
],
"createdAt": "2026-04-20T11:30:00.000Z",
"updatedAt": "2026-08-05T14:02:19.774Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}Authorizations
API token in the sk_live_… format.
Body
application/json
Wrap-up name.
Example:
"Resolvido"
Queues where the wrap-up is available.
Example:
[7]
Wrap-up category. Categories are fixed and the same in every company, and there is no endpoint to create new ones:
| id | name | what it means |
|---|---|---|
| 1 | Goal achived | The ticket reached its goal, such as a closed sale or a solved problem. |
| 2 | Missed goal | The goal was not reached, such as when the customer gives up or turns down the offer. |
| 3 | Doubts | The contact was a question or a request for information, with no sales goal. |
| 4 | Others | Does not fit the previous categories. |
Example:
1
Response
Created
Show child attributes
Show child attributes
Example:
{ "id": 21, "name": "Venda concluída", "active": true, "categoryId": 4, "queues": [{ "id": 13, "name": "Comercial" }], "createdAt": "2026-04-20T11:30:00.000Z", "updatedAt": "2026-08-05T14:02:19.774Z" }
⌘I
Create wrap-up type
curl --request POST \
--url https://api.connectadesk.com/api/v1/wrapup-types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Resolvido",
"queues": [
7
],
"categoryId": 1
}
'import requests
url = "https://api.connectadesk.com/api/v1/wrapup-types"
payload = {
"name": "Resolvido",
"queues": [7],
"categoryId": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Resolvido', queues: [7], categoryId: 1})
};
fetch('https://api.connectadesk.com/api/v1/wrapup-types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connectadesk.com/api/v1/wrapup-types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Resolvido',
'queues' => [
7
],
'categoryId' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.connectadesk.com/api/v1/wrapup-types"
payload := strings.NewReader("{\n \"name\": \"Resolvido\",\n \"queues\": [\n 7\n ],\n \"categoryId\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.connectadesk.com/api/v1/wrapup-types")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Resolvido\",\n \"queues\": [\n 7\n ],\n \"categoryId\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connectadesk.com/api/v1/wrapup-types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Resolvido\",\n \"queues\": [\n 7\n ],\n \"categoryId\": 1\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 21,
"name": "Venda concluída",
"active": true,
"categoryId": 4,
"queues": [
{
"id": 13,
"name": "Comercial"
}
],
"createdAt": "2026-04-20T11:30:00.000Z",
"updatedAt": "2026-08-05T14:02:19.774Z"
}
}{
"error": {
"code": "ERR_API_VALIDATION",
"message": "O parâmetro `application` é obrigatório e aceita \"contact\" ou \"card\"."
}
}
